%ifnos darwin
%define __defattr	%defattr(-,root,root)
%define __ldlibpath	LD_LIBRARY_PATH
%else
%define __defattr	%defattr(-,root,wheel)
%define __ldlibpath	DYLD_LIBRARY_PATH
%endif

%define texmf		%{_datadir}/texmf
%define build_texmf	%{buildroot}%{texmf}
%define enable_japanese	1
%define ptex_src_ver	3.0.1
%define xdvi_ver	22.15
%define mendex_ver	2.5

%define exec_texhash	[ -x %{_bindir}/texhash ] && env - %{_bindir}/texhash 2> /dev/null
%define updmap		%{texmf}/dvips/config/updmap
%define exec_updmap	[ -x %{updmap} ] && ( cd %{texmf}/dvips/config; umask 022; ./updmap )
# boolean value can be enabled from command line by: rpm -bs --define "nosrc 1"
%define nosource %{?nosrc} %{!?nosrc:0}

Summary: The TeX text formatting system.
Summary(ja): tetex TeX ʸƥ
Name: tetex
Version: 1.0.7
Release: 0vl19a
License: distributable
Group: Applications/Publishing
URL: http://www.matsusaka-u.ac.jp/~okumura/texfaq/install-linux.html

Source0: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/systems/unix/teTeX/1.0/distrib/sources/teTeX-src-1.0.7.tar.gz
Source1: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/systems/unix/teTeX/1.0/distrib/sources/teTeX-texmf-1.0.2.tar.gz
# latex 2000/06/01
Source2: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/macros/latex/unpacked.tar.gz
Source3: ftp://ftp.u-aizu.ac.jp/pub/tex/CTAN/macros/latex/base.tar.gz
# bluesky 2001/06/09
Source10:  ftp://ftp.u-aizu.ac.jp:/pub/tex/CTAN/fonts/cm/ps-type1/bluesky/cmps-unix.tar.gz
%{?nosrc:NoSource: 0}
%{?nosrc:NoSource: 1}
%{?nosrc:NoSource: 3}
%{?nosrc:NoSource: 10}
## Japanese ptex
Source20: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-src-%{ptex_src_ver}.tar.gz
Patch21:  http://www.nn.iij4u.or.jp/~tutimura/tex/ptex-3.0.1-version.patch
Patch22:  http://www.nn.iij4u.or.jp/~tutimura/tex/ptex2.1.10.timebomb.patch
Source25: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-texmf-2.0.tar.gz
Source30: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/platex/platex209.tar.gz
Source40: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/dvips/dvipsk-jpatch-p1.5f.tar.gz
Source41: http://www.nn.iij4u.or.jp/~tutimura/tex/dvipsk-vflib-1.1alpha-p1.5d.patch.gz
Source50: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/mendex/mendexk%{mendex_ver}.tar.gz
## Japanese xdvi
#Source60: ftp://ftp.appi.keio.ac.jp/pub/xdvi/xdvik-%{xdvi_ver}.tar.gz
#%{?nosrc:NoSource: 60}
#Source61: ftp://ftp.appi.keio.ac.jp/pub/xdvi/xdvik-22.15-j1.04.patch.gz
#Patch62:  xdvik-22.15-j1.03-oxdvik.patch
#Patch63:  xdvik-22.15-j1.03-resources.patch
#Patch64:  xdvik_for_tetex_1.0.7.diff
## etc...
Source90:  vine-tetex-texmf.cnf
Source100: tetex.cron
Source101: dvi-to-ps.fpi
Source110: http://auemath.aichi-edu.ac.jp/~khotta/ghost/disk1/jtygm.sty
#Patch110:  teTeX-1.0-arch.patch
Patch110:  teTeX-1.0.7-arch.patch
Patch111:  teTeX-1.0-gcc296.patch
Patch112:  teTeX-1.0-protos.patch
Patch113:  teTeX-1.0-tektronix.patch
Patch114:  xdvik-dot.patch

Patch121:  teTeX-1.0-i18n.patch
Patch122:  teTeX-texmf-hyperref.patch
#Patch123:  teTeX-1.0-xaw3d.patch
Patch124:  teTeX-1.0-bug19278.patch
Patch125:  teTeX-1.0.7-cx.patch
Patch126:  teTeX-1.0.7-badscript.patch

Patch149:  teTeX-1.0-varconfig.patch
#Patch150:  teTeX-1.0.7-texmfcnf.patch
Patch151:  teTeX-1.0-fmtutil.patch
Patch152:  teTeX-texmf-dvipsgeneric.diff
Patch153:  teTeX-dvips-paper-size.patch
Patch154:  teTeX-1.0-dupmap-extmap.patch
## etc for Japanese...
#Patch201:  vine-teTeX-texmf.diff
Patch202:  tetex-mendex2.5.patch
Source202: vine-dvips-kanjifonts.map2
#Source203: vine-xdvi-vfontmap.add
Patch220:  dvipsk-jpatch-p1.5d-resident.patch
Patch230:  tetex-macosx.patch
%ifnos darwin
BuildPreReq: VFlib-devel
PreReq: sh-utils
Requires: tmpwatch tetex-macros
%else
BuildPreReq: VFlib2-devel
Requires: tetex-macros
%endif
Obsoletes: pTeX pLaTeX2e pLaTeX2e_Macros dvipsk tetex-ptex tetex-latex tetex-afm tetex-type1 tetex-devel
Provides: tetex-ptex tetex-latex
Buildroot: %{_tmppath}/%{name}-%{version}-root

# Vendor: Project Vine
# Distribution: Vine Linux

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install tetex if you want to use the TeX text formatting system.  
You will also need to install xdvik to preview .dvi files in X.
In VinePlus, you will also find tetex-extra (extra latex related 
binaries and fonts), tetex-doc (tetex related documents), dvi2tty
(dvi previewer in console).

%package doc
Summary: The documentation files for the TeX text formatting system.
Summary(ja): TeX ƥƥ˴ؤʸ
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you're not an expert at it, you should
install the tetex-doc package.  You'll also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX), tetex-dvilj
(for converting .dvi files to HP PCL format for printing on HP and HP
compatible printers), tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use
interface for TeX) and tetex-xdvi/xdvik (for previewing .dvi files).

%package extra
Summary: Extra package of tetex
Summary(ja): tetex ϢɲåХʥꡦե
Group: Applications/Publishing
Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

%description extra
This package includes extra binaries and fonts of tetex.

#%package devel
#Summary: Development tools for programs which will use the kpathsea library
#Summary(ja): kpathsea %i%$%V%i%j$r;H$&%W%m%0%i%`3+H/%-%C%H
#Group: Applications/Publishing
#Requires: tetex = %{PACKAGE_VERSION}-%{PACKAGE_RELEASE}

#%description devel
#Development tools for programs which will use the kpathsea library.

##%package xdvi
##Summary: An X viewer for DVI files.
##Group: Applications/Publishing
###Requires: tetex-fonts = %{version}
##Obsoletes: xdvik
##
##%description xdvi
##Xdvi allows you to preview the TeX text formatting system's output
##.dvi files on an X Window System.
##
##If you are installing tetex, so that you can use the TeX text
##formatting system, you will also need to install tetex-xdvi.  In
##addition, you will need to install tetex-afm (a PostScript font
##converter for TeX), tetex-dvilj (for converting .dvi files to HP PCL
##format for printing on HP and HP compatible printers), tetex-dvips
##(for converting .dvi files to PostScript format for printing on
##PostScript printers), and tetex-latex (a higher level formatting
##package which provides an easier-to-use interface for TeX).  If you're
##not a TeX expert, you'll probably also want to install the tetex-doc
##package, which contains documentation for the TeX text formatting
##system.

#todo
#MIMELIBDIR in texmf.conf

%prep
%setup -q -n teTeX-1.0
mkdir -p texmf
%{__gzip} -dc %{SOURCE1} | tar -xf - -C texmf # teTeX-texmf

# update latex
rm -rf texmf/tex/latex/base
%{__gzip} -dc %{SOURCE2} | tar -xf - # unpacked.tar.gz
mv -f unpacked/texsys.cfg texmf/tex/latex/config/
mv -f unpacked texmf/tex/latex/base
%ifos darwin
find texmf/tex/latex/ -type l -exec rm {} \;
%endif
%{__gzip} -dc %{SOURCE3} | tar -xf - -C texmf/tex/latex # base.tar.gz

# update bluesky
%{__gzip} -dc %{SOURCE10} | tar -xf -
rm -f cmpsfont/pfb/logo*
mv -f cmpsfont/pfb/* texmf/fonts/type1/bluesky/cm/
rm -rf cmpsfont
%if %{enable_japanese}
## for Japanese ptex
%{__gzip} -dc %{SOURCE20} | tar -xf - -C texk/web2c     # ptex-src
patch -p1 -s -d texk/web2c/ptex-%{ptex_src_ver} < %{PATCH21} # version
patch -p1 -s -d texk/web2c/ptex-%{ptex_src_ver} < %{PATCH22} # time bomb cancel
%{__gzip} -dc %{SOURCE25} | tar -xf - -C texmf          # ptex-texmf
%{__gzip} -dc %{SOURCE30} | tar -xf - -C texmf/ptex     # platex209

## for Japanese dvipsk
%{__gzip} -dc %{SOURCE40} | tar -xf - -C texk/dvipsk # dvipsk-jpatch
patch -p1 -s -d texk/dvipsk < texk/dvipsk/dvipsk586.patch
patch -p0 -s -d texmf/dvips/pstricks < texk/dvipsk/PSTricks.patch
%{__gzip} -dc %{SOURCE41} | patch -p1 -s -d texk/dvipsk # dvipsk-vflib
# This patch is NOT needed if dvipsk-vflib patch is used.
#%patch220 -p1 -b .teTeX-1.0-dvipsk-resident-suffix.patch

## for mendexk
%{__gzip} -dc %{SOURCE50} | tar -xf - -C texk
patch -p0 -s < %{PATCH202}

## for Japanese xdvik
#%{__gzip} -dc %{SOURCE60} | tar -xf -
#%{__gzip} -dc %{SOURCE61} | patch -p1 -s -d xdvik-%{xdvi_ver}
#mv texk/xdvik texk/xdvik-orig
#mv xdvik-%{xdvi_ver}/texk/xdvik texk/xdvik

## for Japanese oxdvik
#mv texk/oxdvik texk/oxdvik-orig
#cp -a texk/xdvik texk/oxdvik
#%patch62 -p1 -b .xdvik-22.15-j1.03-oxdvik.patch
#%patch63 -p1 -b .xdvik-22.15-j1.03-resources.patch

## etc ...
find . -name .cvsignore -exec rm {} \;

## imported from Kondara2.0
%patch154 -p1 -b .teTeX-1.0-dupmap-extmap.patch
mkdir -p texmf/dvips/config/extmap
cp -p %{SOURCE202} texmf/dvips/config/extmap/kanjifonts.map
# omega is in sub package
mv texmf/dvips/config/omega.map texmf/dvips/config/extmap/
%endif

# XXX Handle K6, arm, alphapca56, alphaev6 and alphaev67  processors
%patch110 -p1 -b .teTeX-1.0.7-arch.patch
#%patch111 -p1 -b .teTeX-1.0-gcc296.patch  # no longer needed
%patch112 -p1 -b .teTeX-1.0-protos.patch
# XXX silly typo fix
%patch113 -p1 -b .teTeX-1.0-tektronix.patch
#%patch114 -p1 -b .xdvik-dot.patch

# Enable i18n hyphenation, add icelandic and enrus.
#%patch121 -p1 -b .teTeX-1.0-i18n.patch  # rejected, why?
# Hypreref patch
%patch122 -p1 -b .teTeX-texmf-hyperref.patch
# use Xaw3d rather than Xaw (#17415).
%if %{enable_japanese}
#%patch123 -p1 -b .teTeX-1.0-xaw3d.patch
%endif
# insert thumbnails into pdflatex correctly (#19278).
%patch124 -p1 -b .teTeX-1.0-bug19278.patch
# Default to lj instead of cx in gray.mf and black.mf (#25988).
%patch125 -p1 -b .teTeX-1.0.7-cx.patch
%patch126 -p1 -b .badscript.patch

%patch149 -p1 -b .teTeX-1.0-varconfig.patch
#%patch150 -p1 -b .teTeX-1.0.7-texmfcnf.patch
%patch151 -p1 -b .teTeX-1.0-fmtutil.patch
%patch152 -p1 -b .teTeX-texmf-dvipsgeneric.diff
%patch153 -p0 -b .teTeX-dvips-paper-size.patch

%patch230 -p1 -b .macosx

%ifos darwin
cd config
cp /usr/share/libtool/{config.guess,config.sub,ltmain.sh} .
cd ../texk
cp /usr/share/libtool/{config.guess,config.sub,ltmain.sh} .
cd ..
pushd texmf/ptex/platex/base
mkdir -p tmp
for i in `find . -type f`; do nkf $i > tmp/$i; done
mv tmp/* .
rmdir tmp
popd
%endif

%build
unset TEXINPUTS || :
%ifnos darwin
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--disable-multiplatform --without-dialog --without-texinfo \
	--enable-shared \
	--prefix=%{_prefix} --mandir=%{_mandir}/man1 #--enable-a4
#	--without-xdvik --without-oxdvik \
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--with-system-ncurses --with-system-zlib --with-system-pnglib \
	--with-pnglib-include=%{_usr}/include/libpng \
	--disable-multiplatform --without-dialog --without-texinfo \
	--enable-shared \
	--prefix=%{_prefix} --mandir=%{_mandir}/man1 #--enable-a4
#	--without-xdvik --without-oxdvik \
%endif

# configure kpathsea
#(cd texk/kpathsea
#% configure --enable-shared
#)

make

%if %{enable_japanese}
## for ptex
(cd texk/web2c/ptex-%{ptex_src_ver}
%ifnos darwin
 CFLAGS="$RPM_OPT_FLAGS" ./configure EUC; make programs
%else
 CFLAGS="$RPM_OPT_FLAGS" ./configure SJIS; make programs
%endif
)

## for mendexk
(cd texk/mendexk%{mendex_ver}
 make CFLAGS="$RPM_OPT_FLAGS -DKPATHSEA -DKPATHSEA3"
)
%endif


%install
rm -rf %{buildroot}
unset TEXINPUTS || :

mkdir -p %{build_texmf}
%ifos darwin
chown -R root:wheel texmf
%endif
tar cf - texmf | tar xf - -C %{build_texmf}/../
%{__ldlibpath}=%{buildroot}%{_prefix}/lib make prefix=%{buildroot}%{_prefix} texmf=%{build_texmf} mandir=%{buildroot}%{_mandir}/man1 install

%if %{enable_japanese}
## for ptex
TEXMFMAIN=%{build_texmf} PATH=%{buildroot}%{_bindir}:$PATH \
%{__ldlibpath}=%{buildroot}%{_prefix}/lib \
    texhash  # enable 'make formats'
(export %{__ldlibpath}=%{buildroot}%{_prefix}/lib
cd texk/web2c/ptex-%{ptex_src_ver}
make prefix=%{buildroot}%{_prefix} texmf=%{build_texmf} mandir=%{buildroot}%{_mandir}/man1 install
)
cat <<EOF >> %{build_texmf}/web2c/fmtutil.cnf

# Japanese pTeX:
ptex		ptex		-		ptex.ini
platex		ptex		language.dat	platex.ini
platex209	ptex		language.dat	plplain.ini
EOF
echo "\input plplain.tex \dump" > %{build_texmf}/ptex/platex209/plplain.ini
install %{SOURCE90} %{build_texmf}/web2c/texmf.cnf
%ifos darwin
(cd %{build_texmf}/web2c
sed -e 's;/usr/share;/usr/local/share;g' \
    -e 's;/var/lib;/var/local/lib;g' \
    texmf.cnf > texmf.cnf.mod
mv texmf.cnf.mod texmf.cnf
)
%endif
install %{SOURCE110} %{build_texmf}/ptex/platex/base/

(export TEXMFMAIN=%{build_texmf} PATH=%{buildroot}%{_bindir}:$PATH %{__ldlibpath}=%{buildroot}%{_prefix}/lib
 texhash && texconfig init && texlinks
)

## for mendexk
(cd texk/mendexk%{mendex_ver}
 make DISTDIR=%{buildroot}%{_bindir} install
 mkdir -p %{buildroot}/%{_mandir}/ja/man1
 install -m 644 mendex.1 %{buildroot}/%{_mandir}/ja/man1
)

## for xdvi
#cat %{SOURCE203} >> %{build_texmf}/xdvi/vfontmap

## delete useless files (conflict with jvf package)
rm -rf %{build_texmf}/fonts/vf/ptex
rm -rf %{build_texmf}/fonts/tfm/ptex/{gbm,gbmv,rml,rmlv}.tfm
%endif

rm -f %{buildroot}%{_infodir}/dir
(export TEXMFMAIN=%{build_texmf} PATH=%{buildroot}%{_bindir}:$PATH
 mktexlsr
)

%ifnos darwin
# install the new magic print filter for converting dvi to ps
mkdir -p %{buildroot}%{_usr}/lib/rhs/rhs-printfilters
install -m755 %{SOURCE101} %{buildroot}%{_usr}/lib/rhs/rhs-printfilters/
%endif

# for created fonts
mkdir -p %{buildroot}%{_var}/lib/texmf
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -m755 %{SOURCE100} %{buildroot}%{_sysconfdir}/cron.daily/

# for secure dvipsk
#cat <<EOF>> %{build_texmf}/dvips/config/config.ps
#
#% Run securely
#z
#EOF

# Strip binaries
strip %{buildroot}%{_bindir}/* || :

# Compress man pages
%ifnos darwin
[ -x %{_usr}/lib/rpm/brp-compress ] && %{_usr}/lib/rpm/brp-compress
%else
(cd %{buildroot}%{_infodir}
gzip *.info*
)
%endif

### Files list
find %{buildroot} -type f -or -type l | \
    sed -e "s|%{buildroot}||g" | \
    grep -v -e "^%{_sysconfdir}" -e ".patch$" -e ".diff$" -e ".orig$" | \
    sed -e "s|.*\.cnf$|%config(noreplace) &|" \
	-e "s|%{texmf}/ls-R$|%ghost &|" \
	-e "s|%{texmf}/dvips/config/\(psfonts\|ps2pk\|pdftex\)\.map$|%ghost &|" \
	-e "s|%{texmf}/web2c/.*\.\(fmt\|efmt\|log\|base\|mem\)$|%config &|" \
	-e "s|%{texmf}/dvips/config/updmap$|%config &|" \
	-e "s|%{texmf}/dvips/config/config\.\(generic\|pdf\|ps\|www\)$|%config &|" \
	-e "s|%{texmf}/pdftex/config/pdftex.cfg$|%config &|" \
	-e "s|%{texmf}/xdvi/vfontmap$|%config &|" \
	-e "s|%{texmf}/xdvi/XDvi|%config &|" \
	> filelist.full
#	-e "s|.*\.ins||" \
#	-e "s|.*\.dtx||" \

find %{buildroot}%{texmf} -type d | \
    sed -e "s|^%{buildroot}|%dir |" \
	-e "s|$|/|"                         >> filelist.full
echo "%dir %{_usr}/include/kpathsea"           >> filelist.full

# subpackages
grep "/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full

# kpathsea development kit
#grep "%{_usr}/include" filelist.full > filelist.devel
#grep "libkpathsea.a" filelist.full >> filelist.devel
#grep "libkpathsea.so$" filelist.full >> filelist.devel
#cat filelist.devel filelist.full | sort | uniq -u >> filelist.tmp
#mv -f filelist.tmp filelist.full

# extract extra package
grep "/bin/dvi2fax" filelist.full >> filelist.extra
grep "/bin/dvihp" filelist.full >> filelist.extra
grep "/bin/dvilj" filelist.full >> filelist.extra
grep "/einitex" filelist.full >> filelist.extra
grep "/elatex" filelist.full >> filelist.extra
grep "/etex" filelist.full >> filelist.extra
grep "/evirtex" filelist.full >> filelist.extra
grep "/hugelatex" filelist.full >> filelist.extra
grep "/pdfetex" filelist.full >> filelist.extra
grep "/pdfeinitex" filelist.full >> filelist.extra
grep "/pdfelatex" filelist.full >> filelist.extra
grep "/pdfevirtex" filelist.full >> filelist.extra
# Omega related guys
grep "lambda" filelist.full >> filelist.extra
grep "omega" filelist.full >> filelist.extra
grep "/odvi" filelist.full >> filelist.extra
grep "/ofm" filelist.full >> filelist.extra
grep "/opl" filelist.full >> filelist.extra
grep "/otangle" filelist.full >> filelist.extra
grep "/ocp" filelist.full >> filelist.extra
grep "/otp" filelist.full >> filelist.extra
grep "/outocp" filelist.full >> filelist.extra
grep "/ovf" filelist.full >> filelist.extra
grep "/ovp" filelist.full >> filelist.extra
# extra fonts
#grep "/ae/" filelist.full >> filelist.extra #for pdf
#grep "/bbm/" filelist.full >> filelist.extra
#grep "/bbold/" filelist.full >> filelist.extra
grep "/bh/" filelist.full >> filelist.extra
grep "/bitstrea/" filelist.full >> filelist.extra
#grep "/cbgreek/" filelist.full >> filelist.extra
grep "/cg/" filelist.full >> filelist.extra
#grep "/concrete/" filelist.full >> filelist.extra
#grep "/concmath/" filelist.full >> filelist.extra
grep "/cyrillic/" filelist.full >> filelist.extra
grep "/cc-pl/" filelist.full >> filelist.extra
grep "/cg/" filelist.full >> filelist.extra
#grep "/cmbright/" filelist.full >> filelist.extra
grep "/cmcyr/" filelist.full >> filelist.extra # Russian font
#grep "/dstroke/" filelist.full >> filelist.extra
grep "/ecc/" filelist.full >> filelist.extra
grep "/euxm/" filelist.full >> filelist.extra
grep "/gothic/" filelist.full >> filelist.extra
grep "/sauter/" filelist.full >> filelist.extra
grep "/lh/" filelist.full >> filelist.extra
grep "/mathpple/" filelist.full >> filelist.extra
grep "/monotype/" filelist.full >> filelist.extra
grep "/marvosym/" filelist.full >> filelist.extra
grep "/pandora/" filelist.full >> filelist.extra
grep "/pl/" filelist.full >> filelist.extra
#grep "/rsfs/" filelist.full >> filelist.extra
grep "/stmaryrd/" filelist.full >> filelist.extra
grep "/urw/" filelist.full >> filelist.extra
grep "/wasy/" filelist.full >> filelist.extra
grep "/yandy/" filelist.full >> filelist.extra

cat filelist.extra filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full
sort filelist.extra| uniq > filelist.tmp
mv -f filelist.tmp filelist.extra

# XXX move %{_prefix}/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.
grep "xdvi" filelist.full | grep -v "/texmf/tex/" > filelist.xdvi
#grep "/mfw" filelist.full >> filelist.xdvi
cat filelist.xdvi filelist.full | sort | uniq -u > filelist.tmp
mv -f filelist.tmp filelist.full

# dvips use type1(vector) fonts
sed -e "s/^type1_default=false/# type1_default=false/" \
	-e "s/.*type1_default=true/type1_default=true/" \
	-e "s/ omega.map//" \
	< %{buildroot}%{updmap} > %{buildroot}%{updmap}.tmp
mv %{buildroot}%{updmap}.tmp %{buildroot}%{updmap}
chmod +x %{buildroot}%{updmap}

# prepare docs
mkdir pTeX
cp texk/web2c/ptex-%{ptex_src_ver}/{COPYRIGHT,COPYRIGHT.jis,Changes.txt,README.txt} pTeX
cp texk/mendexk%{mendex_ver}/{COPYRIGHT,COPYRIGHT.jis,ChangeLog,README,mendex.doc} pTeX

%clean
rm -rf %{buildroot}
#rm -f filelist.*

## make sure ls-R used by teTeX is updated after an install

## install script
%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/kpathsea.info.* %{_infodir}/dir
/sbin/install-info %{_infodir}/web2c.info.*    %{_infodir}/dir
/sbin/install-info %{_infodir}/dvips.info.*    %{_infodir}/dir
%{exec_updmap}
%{exec_texhash}
exit 0


## uninstall script
%postun
/sbin/ldconfig
exit 0

%preun
rm -rf %{_var}/lib/texmf/*
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/kpathsea.info.* %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/web2c.info.*    %{_infodir}/dir
    /sbin/install-info --delete %{_infodir}/dvips.info.*    %{_infodir}/dir
fi
exit 0


%post extra
%{exec_updmap}
%{exec_texhash}
exit 0

#%post devel
#%{exec_texhash}
#exit 0

%postun extra
%{exec_updmap}
%{exec_texhash}
exit 0

#%postun devel
#%{exec_texhash}
#exit 0



%files -f filelist.full
%{__defattr}
%ifnos darwin
%attr(1777,root,root) %dir %{_var}/lib/texmf
%else
%attr(1777,root,wheel) %dir %{_var}/lib/texmf
%endif
%config %{_sysconfdir}/cron.daily/tetex.cron
%doc INSTALL PROBLEMS QuickInstall README pTeX/

%files -f filelist.doc doc
%{__defattr}

#%files -f filelist.devel devel
#%{__defattr}

%files -f filelist.extra extra
%{__defattr}

#%files -f filelist.xdvi xdvi
#%{__defattr}
#%config(missingok) %{_sysconfdir}/X11/applnk/Graphics/xdvi.desktop
#%doc texk/xdvik/BUGS texk/xdvik/CHANGES.xdvik-jp texk/xdvik/FAQ
#%doc texk/xdvik/INSTALL  texk/xdvik/xdviprint.sample texk/xdvik/README.*
#%doc texk/xdvik/README texk/xdvik/READMEs

%changelog
* Fri Nov 22 2002 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st build on MacOS X10.2

* Sat Jul 27 2002 Tomoya TAKA <taka@vinelinux.org> 1.0.7-0vl19
- add entries of alphapca56, alphaev6 and alphaev67 into arch.patch

* Thu Jun 27 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl18
- fix PKFONTS in vine-tetex-texmf.cnf, again

* Tue Jun 25 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl17
- fix PKFONTS in vine-tetex-texmf.cnf
- apply teTeX-1.0.7-badscript.patch (bug #43342)

* Sun May 12 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl16
- fix core dump 'ptex -version'
- enlarge main_memory main_memory = 526000
- enable teTeX-dvips-paper-size.patch instead of vine-teTeX-texmf.diff

* Tue May  7 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl15
- enable main_memory in texmf.cnf (install texmf.cnf BEFORE 'texconf init')

* Sat Mar 30 2002 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl4
- fix texmf.cnf which makes mendex seg.fault.

* Tue Mar 26 2002 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl3
- update kanjifonts.ps for dvips to use RICOH fonts

* Tue Mar 19 2002 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl12
- added A5 size setting to texmf/dvips/config/config.ps
- added Requires tag for tetex-doc
- added "-%{PACKAGE_RELEASE}" for Requires: tetex = %{PACKAGE_VERSION}
- move %{_usr}/bin/pdfeinitex to tetex-extra

* Wed Feb 13 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl11
- updated to dvipsk-jpatch-p1.5f
- added Source110: jtygm.sty

* Wed Jan 30 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl10
- tetex-devel was merged into tetex package.

* Wed Jan 23 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl9
- update to ptex-3.0.1, ptex-texmf-2.0, mendexk2.5

* Fri Sep 21 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl8
- add %{__ldlibpath}=... in %install
- fixed installed dir of man, again (add man1)
- move omega.map under extmap

* Tue Sep 18 2001 Satoshi MACHINO <machino@vinelinux.org> 1.0.7-0vl7
- fixed installed dir of man

* Tue Sep 18 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 1.0.7-0vl6
- added %post, %postun for extra and devel sub package

* Sat Sep 15 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0.7-0vl5
- bug fix (mendex Makefile)

* Wed Aug 15 2001 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl3
- merge and divide packages to tetex, tetex-doc, tetex-devel, and tetex-extra.

* Sat Aug  4 2001 Jun Nishii <jun@vinelinux.org> 1.0.7-0vl2
- remove xdvik
- remove some trigger, use post and postun instead.
- --without-texinfo --enable-shared
- update dvipsk patch (p1.5e)
- modify texmf.cnf

* Fri Jul 20 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org>
- tetex-1.0.7-0vl1 renamed from 0test8 

* Fri Apr 13 2001 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- not released yet!

* Tue Feb  6 2001 Tim Waugh <twaugh@redhat.com>
- Turn on Japanese changes (bug #26249).
- Japanese support clashed with xaw3d patch; fixed up.
- Replace dvi-to-ps (rhs-printfilters) with mf40-tetex_filters
  (printconf).  Create testpage.dvi (from tex/latex/base/testpage.tex).
- Default to lj instead of cx in gray.mf and black.mf (bug #25988).
- Build requires VFlib2-devel.

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Update tetex-dvilj description.
- Patch latex2html to support tabularx environments better (bug #24852).
- Make xdvi work with files that end in '.' (bug #11478).
- Mark ls-R as %%ghost (bug #12275).
- Build requires w3c-libwww-devel.

* Fri Dec 29 2000 Jeff Johnson <jbj@redhat.com>
- sync with Mandrake version.
- Revert gcc296 patch, no longer needed.
- Enable i18n hyphenation for several languages (#11570,#17040).
- jadetex hash is now 50000 (#9092)
- create symlinks for Euler fonts (#9782).
- correct comment tetex.cron (#10022).
- unset TEXINPUTS in %%build/%%install (#10412).
- use Xaw3d rather than Xaw (#17415).
- insert thumbnails into pdflatex correctly (#19278).
- update to texi2html-1.64 (#20604).
- add latex2html (but not on ia64) (#16966).
- hacks to avoid accidental version clash with system libraries (#21263).
- rebuild with gcc-2.96-69 so that latex.fmt is built (#22838).

* Thu Oct 19 2000 Jeff Johnson <jbj@redhat.com>
- merge japanese changes (disabled for now, per msw@redhat.com).
- add support for Icelandic (Richard Allen <ra@hp.is>).

* Thu Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt on RedHat7.0 again

* Mon Aug 28 2000 Masato Taruishi <taru@debian.org>
- Fixed xdvik-ja to work in 1.0.7 correctly.
- Added a Japanese fontdata for a Japanized dvipsk.

* Fri Aug 25 2000 Giuseppe Ghib<t <ghibo@mandrakesoft.com> 1.0.7-8mdk
- increased trie size for allowing more hyphenation patterns (i18n).

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- Japanese enbaled

* Wed Jul 19 2000 Trond Eivind Glomsrxd <teg@redhat.com>
- fix man pages in man, not man1
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use _infodir

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace *.cnf

* Fri Jun 02 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com> 1.0.7-7mdk
- updated the LaTeX hyperref package to version 6.70f for getting jadetex
  working.
- added support for spanish, portuguese and sweden pattern hyphenation in the
  default LaTeX format files (hope trie values are enough...).

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- patched for NORETURN functions in gcc 2.96, rebuilt against new libstdc++

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- remove explicit xpm-devel prereq (subsumed into XFree86)
- fixes for ia64

* Sat Apr 29 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com> 1.0.7-5mdk
- changed arrays texmf.cnf the array value for jadetex, pdfjadetex, according to  the Christoph, Rahtz, Pepping's "Installing JadeTeX" document.

* Mon Mar 20 2000 Jeff Johnson <jbj@redhat.com>
- Sync with Mandrake (tetex-1.0.7-2mdk).
- update to teTeX-texmf-1.0.2.tar.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 11 2000 Giuseppe Ghibr <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark %{_usr}/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move %{_usr}/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghibr changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghibr <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghibr <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark %{_usr}/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
